curl --request GET \
--url "https://api.stablepay.co/api/v1/fiat/deposit_balance" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>"
const response = await fetch("https://api.stablepay.co/api/v1/fiat/deposit_balance", {
method: "GET",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>"
}
});
console.log(await response.json());
{
"fiat_deposit_balances": [
{
"currency": "USD",
"amount": 100500
},
{
"currency": "SGD",
"amount": 25075
}
],
"as_of": 1718726400
}
稳定币兑换 API
查询可用于兑换的法币充值余额
查询可用于兑换的法币充值余额
GET
/
api
/
v1
/
fiat
/
deposit_balance
curl --request GET \
--url "https://api.stablepay.co/api/v1/fiat/deposit_balance" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>"
const response = await fetch("https://api.stablepay.co/api/v1/fiat/deposit_balance", {
method: "GET",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>"
}
});
console.log(await response.json());
{
"fiat_deposit_balances": [
{
"currency": "USD",
"amount": 100500
},
{
"currency": "SGD",
"amount": 25075
}
],
"as_of": 1718726400
}
完整认证、签名、数据约定与错误响应。每次重试均须重新生成时间戳、nonce 与签名。
GET /fiat/deposit_balance 返回尚未兑换的充值记录金额之和,按币种汇总。
请求头
string
必填
Bearer API Key。
string
必填
Unix 秒,允许与服务端相差最多 5 分钟。
string
必填
每次请求唯一的随机串,16–64 字符。
string
必填
HMAC-SHA256 签名,小写十六进制;签名必须对应实际发送的请求体。
请求参数
string
10 位数字;商户 App 不传,服务商 App 传值指定作用商户
string
省略时返回全部币种
响应
array
必填
各币种余额
string
必填
币种
integer
必填
可兑换余额
integer
必填
快照时间
状态与错误
401 鉴权失败。curl --request GET \
--url "https://api.stablepay.co/api/v1/fiat/deposit_balance" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>"
const response = await fetch("https://api.stablepay.co/api/v1/fiat/deposit_balance", {
method: "GET",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>"
}
});
console.log(await response.json());
{
"fiat_deposit_balances": [
{
"currency": "USD",
"amount": 100500
},
{
"currency": "SGD",
"amount": 25075
}
],
"as_of": 1718726400
}
最后修改于 2026年10月29日
此页面对您有帮助吗?
